version: 3
dependencies:
- type: git
  manifest_updates:
    filters:
    - name: .* # everything gets it's own MR
      enabled: true
  settings:
    # Assign to maintainers
    gitlab_assignee_ids:
      - 597578 # WarheadsSE (jplum)
      - 4849   # balasankarc (balu)
      - 2602134 # rmarshall (*)
    gitlab_labels:
      - group::distribution
      - section::enablement
      - devops::systems
      - type::maintenance
      - maintenance::dependency
      - dependencies.io
      - workflow::ready for review
    gitlab_remove_source_branch: true
    remotes:
      # AWS CLI
      https://github.com/aws/aws-cli.git:
        replace_in_files:
        - filename: ci_files/variables.yml
          pattern: 'AWSCLI_VERSION: "(\S+)"'
          range: '< 2.0.0'
        - filename: gitlab-toolbox/Dockerfile
          pattern: 'ARG AWSCLI_VERSION="(\S+)"'
          range: '< 2.0.0'
        - filename: gitlab-toolbox/Dockerfile.build.ubi8
          pattern: 'ARG AWSCLI_VERSION=(\S+)'
          range: '< 2.0.0'
      # s3cmd
      https://github.com/s3tools/s3cmd.git:
        replace_in_files:
        - filename: ci_files/variables.yml
          pattern: 'S3CMD_VERSION: "(\S+)"'
          range: '>= 2.x.x'
        - filename: gitlab-toolbox/Dockerfile
          pattern: 'ARG S3CMD_VERSION="(\S+)"'
          range: '>= 2.x.x'
        - filename: gitlab-toolbox/Dockerfile.build.ubi8
          pattern: 'ARG S3CMD_VERSION=(\S+)'
          range: '>= 2.x.x'
      # YQ
      https://github.com/mikefarah/yq.git:
        replace_in_files:
        - filename: ci_files/variables.yml
          pattern: 'YQ_VERSION: "(\S+)"'
          range: '>= 4.x.x'
        - filename: kubectl/Dockerfile
          pattern: 'ARG YQ_VERSION="(\S+)"'
          range: '>= 4.x.x'
        - filename: kubectl/Dockerfile.build.ubi8
          pattern: 'ARG YQ_VERSION=(\S+)'
          range: '>= 4.x.x'
      # GitLab Exporter
      https://gitlab.com/gitlab-org/gitlab-exporter.git:
        replace_in_files:
        - filename: ci_files/variables.yml
          pattern: 'GITLAB_EXPORTER_VERSION: "(\S+)"'
        - filename: gitlab-exporter/Dockerfile
          pattern: 'ARG GITLAB_EXPORTER_VERSION=(\S+)'
        - filename: gitlab-exporter/Dockerfile.build.ubi8
          pattern: 'ARG GITLAB_EXPORTER_VERSION=(\S+)'
      # rubygems
      https://github.com/rubygems/rubygems.git:
        replace_in_files:
        - filename: gitlab-ruby/Dockerfile
          pattern: 'ARG RUBYGEMS_VERSION=(\S+)'
          range: '<= 4.x'
        - filename: gitlab-ruby/Dockerfile.build.ubi8
          pattern: 'ARG RUBYGEMS_VERSION=(\S+)'
          range: '<= 4.x'
      # redis gem
      https://github.com/redis/redis-rb.git:
        replace_in_files:
        - filename: gitlab-mailroom/scripts/install-dependencies
          pattern: 'redis:(\S+)'
          tag_prefix: 'v'
        - filename: gitlab-mailroom/Dockerfile.build.ubi8
          pattern: 'redis:(\S+)'
          tag_prefix: 'v'
      # GitLab Container Registry
      https://gitlab.com/gitlab-org/container-registry.git:
        replace_in_files:
        - filename: ci_files/variables.yml
          pattern: 'GITLAB_CONTAINER_REGISTRY_VERSION: "(\S+)"'
          tag_filter:
            matching: 'v(\S+)-gitlab'
            sort_as: '$1'
        - filename: gitlab-container-registry/Dockerfile
          pattern: 'ARG REGISTRY_VERSION=(\S+)'
          tag_filter:
            matching: 'v(\S+)-gitlab'
            sort_as: '$1'
        - filename: gitlab-container-registry/Dockerfile.build.ubi8
          pattern: 'ARG REGISTRY_VERSION=(\S+)'
          tag_filter:
            matching: 'v(\S+)-gitlab'
            sort_as: '$1'
      # gomplate
      https://github.com/hairyhenderson/gomplate.git:
        replace_in_files:
        - filename: gitlab-gomplate/Dockerfile
          pattern: 'ARG GOMPLATE_VERSION="v(\S+)"'
          tag_prefix: 'v'
        - filename: gitlab-gomplate/Dockerfile.build.ubi8
          pattern: 'ARG GOMPLATE_VERSION="v(\S+)"'
          tag_prefix: 'v'
        - filename: ci_files/variables.yml
          pattern: 'GOMPLATE_VERSION: "v(\S+)"'
          tag_prefix: 'v'
      # kubectl
      https://github.com/kubernetes/kubectl.git:
        replace_in_files:
        - &kubectl-replace
          filename: kubectl/Dockerfile
          pattern: 'ARG KUBECTL_VERSION="(\S+)"'
          tag_filter: &kubectl-tag-filter
            matching: 'kubernetes-(\S+)'
            sort_as: '$1'
            output_as: '$1'
          range: '< 1.25.0'
        - <<: *kubectl-replace
          filename: kubectl/Dockerfile.build.ubi8
          pattern: 'ARG KUBECTL_VERSION=(\S+)'
        - <<: *kubectl-replace
          filename: ci_files/variables.yml
          pattern: 'KUBECTL_VERSION: "(\S+)"'
      # python
      https://github.com/python/cpython.git:
        replace_in_files:
        - &python-replace
          filename: gitlab-python/Dockerfile
          pattern: 'ARG PYTHON_VERSION="(\S+)"'
          tag_prefix: 'v'
          range: '< 3.10.0'
        - <<: *python-replace
          filename: gitlab-python/Dockerfile.build.ubi8
          pattern: 'ARG PYTHON_VERSION=(\S+)'
        - <<: *python-replace
          filename: gitlab-sidekiq/Dockerfile
          pattern: 'PYTHON_TAG="(\S+)"'
        - <<: *python-replace
          filename: gitlab-toolbox/Dockerfile
          pattern: 'PYTHON_TAG=(\S+)'
        - <<: *python-replace
          filename: gitlab-webservice/Dockerfile
          pattern: 'PYTHON_TAG="(\S+)"'
        - <<: *python-replace
          filename: ci_files/variables.yml
          pattern: 'PYTHON_VERSION: "(\S+)"'


